aboutsummaryrefslogtreecommitdiff
path: root/debian/postrm
diff options
context:
space:
mode:
Diffstat (limited to 'debian/postrm')
-rwxr-xr-xdebian/postrm17
1 files changed, 17 insertions, 0 deletions
diff --git a/debian/postrm b/debian/postrm
new file mode 100755
index 00000000..f55a6e5c
--- /dev/null
+++ b/debian/postrm
@@ -0,0 +1,17 @@
+#!/bin/sh
+# this was is stoled from audacity.postrm and audacity-data.postrm
+set -e
+
+if [ -x "`which update-menus 2>/dev/null`" ]; then update-menus ; fi
+
+if which update-mime >/dev/null 2>&1; then update-mime; fi
+
+if [ "$1" = "remove" ] && which update-desktop-database >/dev/null 2>&1 ; then
+ update-desktop-database -q
+fi
+
+if [ -x "`which update-mime-database 2>/dev/null`" ]; then
+ update-mime-database /usr/share/mime
+fi
+
+#DEBHELPER#